<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id: Classname.php 2644 2012-05-07 12:25:16Z pavel.iacovlev $
 * @category   Giscuit
 * @package    Giscuit_Filter
 * @copyright  Copyright (c) 2012 VEC
 */

/**
 * @see Zend_Filter_Interface
 */
require_once 'Zend/Filter/Interface.php';

/**
 * Returns the string $value, converting characters to lowercase and first 
 * character to upper case
 *  
 * @category   Giscuit
 * @package    Giscuit_Filter
 * @copyright  Copyright (c) 2012 VEC
 */
class Giscuit_Filter_Classname implements Zend_Filter_Interface
{
    /**
     * Defined by Zend_Filter_Interface
     *
     * Returns the string $value, converting characters to lowercase and first 
     * character to upper case
     *
     * @param  string $value
     * @return string
     */
    public function filter ($value)
    {
        return ucfirst($value);
    }
}