<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id: Style.php 2644 2012-05-07 12:25:16Z pavel.iacovlev $
 * @category   Giscuit
 * @package    Giscuit_Map
 * @copyright  Copyright (c) 2012 VEC
 */
/**
 * @see Giscuit_Map_Abstract
 */
require_once 'Giscuit/Map/Abstract.php';

/**
 * Class for abstract mapserver object
 *
 * @category   Giscuit
 * @package    Giscuit_Map
 * @copyright  Copyright (c) 2012 VEC
 */
class Giscuit_Map_Style extends Giscuit_Map_Abstract
{
    
    /**
     * Class constructor
     *
     * @param class $layer Class object
     * @return void
     */
    public function __construct ($class)
    {
        $this->_obj = ms_newstyleobj($class->getMsObj());
        $this->parent = $class;
        $this->parent->children[] = $this;
    }

}