/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this package in the file LICENSE.txt.
 *
 * @version    $Id: AdminDataShare.js 2744 2012-06-12 07:27:23Z pavel.iacovlev $
 * @copyright  Copyright (c) 2012 VEC
 */
Giscuit.Map.prototype.gtEventListeners.push({
    'draw': function() {
    	
    	if(gt.pluginParams.adminDataIsAllowed) {
    		gt.control.adminData = new Giscuit.Control.AdminDataShare();
    	}
    }
});

/**
 * Class: Giscuit.Control.AdminDataShare
 * 
 *  Inherits from:
 *   - <Giscuit.Control>
 */
Giscuit.Control.AdminDataShare = OpenLayers.Class(Giscuit.Control, {
    
    button: null,
    
    initialize: function (options) {
        Giscuit.Control.prototype.initialize.apply(this, [options]);
        
        this.button = new YAHOO.widget.Button({ 
            label: gt.map.getControlIcon(33), 
            id: "gtControlAdminDataShare", 
            onclick: {fn: function() {
                gt.control.adminData.activate();
            }},
            title: gt.translate._('adminData'), 
            container: "gtMapControls" 
        });

    },
    
    activate: function() {
        var activated = Giscuit.Control.prototype.activate.call(this);
        
        //FIXME:
        var url = gt.config.httpPath.split('/');
        url = url.splice(0, url.length - 1);
        url = url.join('/') + '/admin/database';
                
        window.open(url);
        
        return activated;
    },
    
    CLASS_NAME: "Giscuit.Control.AdminDataShare"
});